Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2021-02-14 12:49:05

0001 #!/bin/sh
0002 
0003 function die { echo $1: status $2 ; exit $2; }
0004 
0005 F1=${LOCAL_TEST_DIR}/python/testDDCutTubsFromPointsAlgorithm.py
0006 F2=${LOCAL_TEST_DIR}/python/testDDPixBarLayerUpgradeAlgorithm.py
0007 F3=${LOCAL_TEST_DIR}/python/testDDPixFwdDiskAlgo.py
0008 F4=${LOCAL_TEST_DIR}/python/testDDPixPhase1FwdDiskAlgorithm.py
0009 F5=${LOCAL_TEST_DIR}/python/testDDTIDAxialCableAlgorithm.py
0010 
0011 echo " testing Geometry/TrackerCommonData"
0012 
0013 export tmpdir=${LOCAL_TMP_DIR:-/tmp}
0014 echo "===== Test \"cmsRun testDDCutTubsFromPointsAlgorithm.py\" ===="
0015 (cmsRun $F1) || die "Failure using cmsRun $F1" $?
0016 echo "===== Test \"cmsRun testDDPixBarLayerUpgradeAlgorithm.py\" ===="
0017 (cmsRun $F2) || die "Failure using cmsRun $F2" $?
0018 echo "===== Test \"cmsRun testDDPixFwdDiskAlgo.py\" ===="
0019 (cmsRun $F3) || die "Failure using cmsRun $F4" $?
0020 echo "===== Test \"cmsRun testDDPixPhase1FwdDiskAlgorithm.py\" ===="
0021 (cmsRun $F4) || die "Failure using cmsRun $F5" $?
0022 echo "===== Test \"cmsRun testDDTIDAxialCableAlgorithm.py\" ===="
0023 (cmsRun $F5) || die "Failure using cmsRun $F23" $?